xcb_dbe_allocate_back_buffer(3)

NAME
xcb_dbe_allocate_back_buffer - Allocates a back buffer

SYNOPSIS
#include <xcb/dbe.h>

  Request function

xcb_void_cookie_t xcb_dbe_allocate_back_buffer(xcb_connection_t *conn, xcb_window_t window, xcb_dbe_back_buffer_t buffer, uint8_t swap_action);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

window
    The window to which to add the back buffer.

buffer
    The buffer id to associate with the back buffer.

swap_action
    The swap action most likely to be used to present this back buffer. This is only a hint, and does not preclude the use of other swap actions.

DESCRIPTION
Associates buffer with the back buffer of window. Multiple ids may be associated with the back buffer, which is created by the first allocate call and destroyed by the last deallocate.

RETURN VALUE
Returns an xcb_void_cookie_t. Errors (if any) have to be handled in the event loop. If you want to handle errors directly with xcb_request_check instead, use xcb_dbe_allocate_back_buffer_checked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO
xcb-requests(3)

AUTHOR
Generated from dbe.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.